Create Supplier Package

Creates a new instance of a supplier package.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create a new supplier package. A supplier package complements a stock item by including information that is specific to a single supplier.

📘

The price_unit is an optional field.

If left unused, the created supplier package will use the unit of the related stock item.

Refer to the guides for a list of Valid Base Units.

Referencing or creating a stock item

This endpoint accepts adding a supplier package to an existing stock item, as well as defining a new stock item.

If you're adding a new stock item, omit the id field of the stock_item object and fill in the other attributes to define the stock item. This request will create the stock item and also the supplier package under it. Check the Create Stock Item endpoint definition for details about how the stock_item object's fields are structured.

If you're referencing a stock item that already exists, include the id field in the stock_item object and omit all others.

Examples for both cases are provided through the interactive console on this page.

Referencing or creating a supplier

Similarly for the supplier, it is possible to reference an existing supplier using either their ID or their name. The other field should be omitted.

Body Params
float
required

The package's price

string

The price's unit. Must be a valid unit of measure (g, l, kg, cl...)

boolean
Defaults to true

Whether the supplier package should be orderable or not.

supplier
object
required
string

The supplier's article number.

string

The supplier's product name

stock_item
object
required
boolean
Defaults to true

Whether the supplier package should be active or not.

boolean
Defaults to false

Whether the supplier package should use dynamic pricing or not. Only available to supplier packages of internal suppliers.

double

The supplier package's dynamic pricing margin percentage. Used when use_dynamic_pricing is set to true.

double

The supplier package's dynamic pricing fee. Used when use_dynamic_pricing is set to true.

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json